close all
%
load abbvars
tstop=800;

simopt=simset('InitialState',x0);
try 
   sim('testsim',[0 tstop],simopt);
end
figure(1);
subplot(211);
plot(t,V(:,1),t,V(:,2),'--',t,V(:,3),':'); 
axis([0 800 0.85 1.04]); 
legend('V2','V3','V4',4);
xlabel('Time (s)'); ylabel('Bus Voltages');
title('No Emergency Control')
subplot(212);
plot(t,Efd); legend('Efd');
xlabel('Time (s)'); ylabel('G1 Field Voltage');
axis([0 800 1.4 2.22]); 
print -deps noemergency.eps

load abbvars
c1=3;
try 
   sim('testsim',[0 tstop],simopt);
end
figure(2);
subplot(211);
plot(t,V(:,1),t,V(:,2),'--',t,V(:,3),':'); 
axis([0 800 0.85 1.04]); 
legend('V2','V3','V4',4);
xlabel('Time (s)'); ylabel('Bus Voltages');
title('Capacitor Switching')
subplot(212);
plot(t,Efd); legend('Efd',4);
xlabel('Time (s)'); ylabel('G1 Field Voltage');
axis([0 800 1.4 2.22]); 
print -deps capswitch.eps



load abbvars
v1=0.9;
try 
   sim('testsim',[0 tstop],simopt);
end
figure(3);
subplot(211);
plot(t,V(:,1),t,V(:,2),'--',t,V(:,3),':'); 
axis([0 800 0.85 1.04]); 
legend('V2','V3','V4',4);
xlabel('Time (s)'); ylabel('Bus Voltages');
title('Tap Voltage Reference Change')
subplot(212);
plot(t,Efd); legend('Efd',4);
xlabel('Time (s)'); ylabel('G1 Field Voltage');
axis([0 800 1.4 2.22]); 
print -deps tapswitch.eps


load abbvars
v1=0.92; c1=3;
try 
   sim('testsim',[0 tstop],simopt);
end
figure(4);
subplot(211);
plot(t,V(:,1),t,V(:,2),'--',t,V(:,3),':'); 
axis([0 800 0.85 1.04]); 
legend('V2','V3','V4',4);
xlabel('Time (s)'); ylabel('Bus Voltages');
title('Capacitor Switching and Tap Reference Change')
subplot(212);
plot(t,Efd); legend('Efd',4);
xlabel('Time (s)'); ylabel('G1 Field Voltage');
axis([0 800 1.4 2.22]); 
print -deps tapcapswitch.eps


load abbvars
l1=3;
try 
   sim('testsim',[0 tstop],simopt);
end
figure(5);
subplot(211);
plot(t,V(:,1),t,V(:,2),'--',t,V(:,3),':'); 
axis([0 800 0.85 1.04]); 
legend('V2','V3','V4',4);
title('Load Shedding')
xlabel('Time (s)'); ylabel('Bus Voltages');
subplot(212);
plot(t,Efd); legend('Efd',4);
xlabel('Time (s)'); ylabel('G1 Field Voltage');
axis([0 800 1.4 2.22]); 
print -deps loadshed.eps


